#
# spec file for package libsmi (Version 0.4.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libsmi
BuildRequires:  wget
Version:        0.4.5
Release:        125.1
AutoReqProv:    on
Group:          System/Libraries
License:        X11/MIT
Url:            http://www.ibr.cs.tu-bs.de/projects/libsmi
Summary:        A Library to Access SMI MIB Information
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-no_redef.diff
Patch1:         libsmi-0.4.5-gnu-source.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The purpose of libsmi is to

* Give network management applications a concise programmer-friendly
   interface to access MIB module information

* Separate the knowledge on SMI from the main parts of management
   applications

* Allow addition of new kinds of MIB repositories without the need to
adapt applications that make use of libsmi



Authors:
--------
    Frank Strauss <strauss@ibr.cs.tu-bs.de>

%package devel
License:        X11/MIT
Summary:        libsmi header files and static libraries
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glibc-devel

%description devel
This package contains the header files and static libraries of package
libsmi.



Authors:
--------
    Frank Strauss <strauss@ibr.cs.tu-bs.de>

%prep
%setup -q
%patch0
%patch1

%build
autoreconf --force --install
%configure --disable-static --with-pic --enable-smi \
	--enable-sming \
	--with-mibdir=%{_datadir}/mibs
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ANNOUNCE COPYING ChangeLog README THANKS TODO doc/*.txt
%doc %{_mandir}/man?/*
%{_libdir}/libsmi.so.*
%{_bindir}/*
%{_datadir}/mibs
%{_datadir}/pibs

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libsmi.so
%{_libdir}/pkgconfig/libsmi.pc
%{_datadir}/aclocal/libsmi.m4

%changelog
* Fri Jan  9 2009 crrodriguez@suse.de
- remove static libraries and "la" files
- remove deprecated run_ldconfig usage
- define _GNU_SOURCE where needed
* Wed Oct 18 2006 mjancar@suse.cz
- update to 0.4.5
  * bugfixes
  * new MIBs
- drop libsmi-0.4.5-sysconf.diff, included upstream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun 13 2005 ro@suse.de
- do not redefine vsnprintf
* Thu Feb 24 2005 mjancar@suse.cz
- update to 0.4.3
* Fri Feb 27 2004 mjancar@suse.cz
- update to 0.4.2
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Jul 31 2003 mjancar@suse.cz
- use %%run_ldconfig
* Thu May 29 2003 mjancar@suse.cz
- update to 0.4.1
* Wed May 28 2003 coolo@suse.de
- add the aclocal macro file to the devel package
* Fri May  9 2003 ro@suse.de
- do a full autoreconf
* Tue Jan 29 2002 cihlar@suse.cz
- use %%{_libdir}
* Mon Nov 26 2001 cihlar@suse.cz
- update to version 0.3.0:
  * many fixes
  * added several files to mibs/... by new RFCs
- devel subpackage created
* Mon Nov 12 2001 cihlar@suse.cz
- fixed installation with new automake
* Wed Jun  6 2001 cihlar@suse.cz
- fixed to compile with new libtool
* Tue Apr 17 2001 cihlar@suse.cz
- update to version 0.2.16
* Wed Mar  7 2001 cihlar@suse.cz
- update to version 0.2.14
* Tue Feb 27 2001 cihlar@suse.cz
- update to version 0.2.13
- compile with --enable-smi and --enable-sming
* Sun Dec  3 2000 smid@suse.cz
- new version 0.2.11
* Wed Oct 11 2000 smid@suse.cz
- new version 0.2.6
* Thu Jun  8 2000 cihlar@suse.cz
- fixed License tag
- added %%clean
* Fri Apr 21 2000 smid@suse.cz
- upgrade to 0.2.0
- buildroot added
* Sat Apr  8 2000 bk@suse.de
- added suse update config macro
* Thu Mar  2 2000 uli@suse.de
- moved man pages to %%{_mandir}
* Mon Oct 25 1999 uli@suse.de
- update -> 0.1.7
* Mon Sep 27 1999 uli@suse.de
- new package, version 0.1.6
